Bug 1417550 - [abrt] kdevelop: QObject::disconnect(): kdevelop killed by SIGSEGV
Summary: [abrt] kdevelop: QObject::disconnect(): kdevelop killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kdevelop
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bcd5898d7e6333110386211f205...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 09:08 UTC by xosdev
Modified: 2017-12-12 10:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:36:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (78.25 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: core_backtrace (2.73 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: dso_list (32.63 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: environ (1.86 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: maps (149.12 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: mountinfo (3.28 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: open_fds (1.33 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details
File: var_log_messages (13.16 KB, text/plain)
2017-01-30 09:08 UTC, xosdev
no flags Details

Description xosdev 2017-01-30 09:08:07 UTC
Description of problem:
Just exited kdevelop and received the crash report...

Version-Release number of selected component:
kdevelop-5.0.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        kdevelop --ps
crash_function: QObject::disconnect
executable:     /usr/bin/kdevelop
global_pid:     5948
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2956
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1145
 #3 QDBusConnectionPrivate::~QDBusConnectionPrivate at qdbusintegrator.cpp:1069
 #5 QDBusConnectionManager::run at qdbusconnection.cpp:186
 #6 QThreadPrivate::start at thread/qthread_unix.cpp:368

Comment 1 xosdev 2017-01-30 09:08:14 UTC
Created attachment 1245779 [details]
File: backtrace

Comment 2 xosdev 2017-01-30 09:08:16 UTC
Created attachment 1245780 [details]
File: cgroup

Comment 3 xosdev 2017-01-30 09:08:17 UTC
Created attachment 1245781 [details]
File: core_backtrace

Comment 4 xosdev 2017-01-30 09:08:19 UTC
Created attachment 1245782 [details]
File: dso_list

Comment 5 xosdev 2017-01-30 09:08:21 UTC
Created attachment 1245783 [details]
File: environ

Comment 6 xosdev 2017-01-30 09:08:22 UTC
Created attachment 1245784 [details]
File: limits

Comment 7 xosdev 2017-01-30 09:08:25 UTC
Created attachment 1245785 [details]
File: maps

Comment 8 xosdev 2017-01-30 09:08:27 UTC
Created attachment 1245786 [details]
File: mountinfo

Comment 9 xosdev 2017-01-30 09:08:28 UTC
Created attachment 1245787 [details]
File: namespaces

Comment 10 xosdev 2017-01-30 09:08:29 UTC
Created attachment 1245788 [details]
File: open_fds

Comment 11 xosdev 2017-01-30 09:08:31 UTC
Created attachment 1245789 [details]
File: proc_pid_status

Comment 12 xosdev 2017-01-30 09:08:33 UTC
Created attachment 1245790 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:50:24 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:36:54 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.